source: subversion/applications/editors/merkaartor/INSTALL @ 20060

Last change on this file since 20060 was 14742, checked in by richardbrinkman, 11 years ago

FIX: INSTALL (fixes #1750)

File size: 1.3 KB
Line 
1Prerequisites:
2* Working C++ compiler
3* Qt 4.4.0 or later development environment
4
5On (K)ubuntu Edgy it is sufficient to install the qt4-dev package
6to satisfy these requirements.
7
8Instructions
9
101. Change directory to the one in which you unpacked Merkaartor
11
12For example
13$ cd /home/me/src/Merkaartor-0.xx
14
152. Run qmake
16
17$ qmake
18
19Note that you need the Qt4 version of qmake - running the Qt3 version
20will generate incorrect makefiles.  If both are installed, take care
21to run the correct version.  For example, on Fedora run
22
23$ qmake-qt4
24
25and on (K)ubuntu run
26
27$ /usr/share/qt4/bin/qmake
28
292.1 Other qmake parameters for Merkaartor.pro
30
31PREFIX=<path>                   - base prefix for installation (unix only)
32TRANSDIR_MERKAARTOR=<path>      - where will the Merkaartor translations be installed
33TRANSDIR_SYSTEM=<path>          - where your global Qt translation directory is
34NODEBUG=1                       - release target
35NOUSEWEBKIT                     - disable use of WebKit (Yahoo adapter)
36
37see http://wiki.openstreetmap.org/wiki/Merkaartor/Compiling for the complete list
38
393. Run your build tool, make for posix like systems, nmake for
40Windows C++ Build system
41
42$ make
43or
44$ nmake
45
464. If you are lucky, you'll find an executable in the
47binaries subdirectory. Otherwise mail a complete error log to
48bvh-osm@irule.be
49
50Bart Vanhauwaert
51
Note: See TracBrowser for help on using the repository browser.